# $Revision: 1.47 $, $Date: 2010/04/12 19:26:59 $
Summary:	An offline mail server with pop3 client support
Summary(pl.UTF-8):	Serwer pocztowy offline ze wsparciem dla pop3
Name:		masqmail
Version:	0.2.21
Release:	3
License:	GPL
Group:		Networking/Daemons/SMTP
Source0:	http://ftp.debian.org/debian/pool/main/m/masqmail/%{name}_%{version}.orig.tar.gz
# Source0-md5:	7e989a8b0562054aea22c654507f2cb5
Source1:	%{name}.aliases
Source2:	%{name}.conf
Source3:	%{name}.default.route
Patch0:		%{name}-resolv.patch
URL:		http://packages.debian.org/masqmail
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	glib2-devel
BuildRequires:	libident-devel
BuildRequires:	openssl-devel
Provides:	smtpdaemon
Obsoletes:	smtpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	 -fomit-frame-pointer
%define		_sysconfdir		/etc/mail

%description
MasqMail is a mail server designed for hosts that do not have a
permanent internet connection eg. a home network or a single host at
home. It has special support for connections to different ISPs. It
replaces sendmail or other MTAs such as qmail or exim.

%description -l pl.UTF-8
MasqMail jest serwerem pocztowym zaprojektowanym dla maszyn nie
posiadających stałego dostępu do Internetu, jak domowe sieci czy
pojedyncze komputery domowe. Wspiera połączenia z różnymi ISP.
Zastępuje sendmaila oraz inne MTA jak qmail czy exim.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{!?debug:dis}%{?debug:en}able-debug \
	--with-confdir=%{_sysconfdir} \
	--enable-auth \
	--enable-maildir \
	--enable-ident \
	--enable-mserver \
	--with-libcrypto \
	--with-user=mail \
	--with-group=mail \
	--with-logdir=/var/log \
	--with-spooldir=/var/spool/masqmail
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},/usr/lib} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_datadir}/masqmail/tpl,%{_mandir}/man{5,8}} \
	$RPM_BUILD_ROOT/var/spool/masqmail/{input,lock,popuidl}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/aliases
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/default.route
install src/mservdetect $RPM_BUILD_ROOT%{_bindir}
install src/masqmail $RPM_BUILD_ROOT%{_sbindir}
install tpl/* $RPM_BUILD_ROOT%{_datadir}/masqmail/tpl
install docs/man/masqmail.*.5 $RPM_BUILD_ROOT%{_mandir}/man5
install docs/man/masqmail.8 $RPM_BUILD_ROOT%{_mandir}/man8
install debian/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
install debian/newaliases $RPM_BUILD_ROOT%{_bindir}
ln -sf ../sbin/masqmail $RPM_BUILD_ROOT%{_bindir}/mailq
ln -sf ../sbin/masqmail $RPM_BUILD_ROOT/usr/lib/sendmail
ln -sf masqmail $RPM_BUILD_ROOT%{_sbindir}/sendmail

%triggerpostun -- %{name} < 0.2.20-4.1
if [ -f /etc/masqmail/masqmail.conf.rpmsave ]; then
	cp -f  %{_sysconfdir}/masqmail.conf{,.rpmnew}
	mv -f /etc/masqmail/masqmail.conf.rpmsave %{_sysconfdir}/masqmail.conf
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO examples/example.*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) /usr/lib/sendmail
%attr(4755,root,root) %{_sbindir}/masqmail
%attr(755,root,root) %{_sbindir}/sendmail
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/masqmail.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/default.route
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/aliases
%dir %{_datadir}/masqmail
%dir %{_datadir}/masqmail/tpl
%{_datadir}/masqmail/tpl/*.tpl
%lang(de) %{_datadir}/masqmail/tpl/*.tpl.de
%lang(fr) %{_datadir}/masqmail/tpl/*.tpl.fr
%lang(it) %{_datadir}/masqmail/tpl/*.tpl.it
%{_mandir}/man[58]/*
%defattr(644,mail,mail,755)
%dir /var/spool/masqmail
%dir /var/spool/masqmail/input
%dir /var/spool/masqmail/lock
%dir /var/spool/masqmail/popuidl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: masqmail.spec,v $
Revision 1.47  2010/04/12 19:26:59  arekm
- release 3

Revision 1.46  2008/10/25 15:27:20  blues
- SMTP group

Revision 1.45  2007/08/06 10:07:04  patrys
- drop mutual obsoletes
- rel up

Revision 1.44  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.42  2006/08/28 20:36:55  glen
- updated to 0.2.21 from Debian sources. Resolves CAN-2005-2662 CAN-2005-2663

Revision 1.41  2006/04/23 15:14:38  glen
- rel 5

Revision 1.40  2006/03/07 17:30:42  glen
- working URL

Revision 1.39  2006/03/07 17:07:15  glen
- move configs to /etc/mail as all other MTA-s
- install quite useable configs
- include aliases file in package

Revision 1.38  2005/12/04 23:10:18  glen
- adapterized (sorted %verify flags)

Revision 1.37  2004/06/20 21:36:53  arekm
- fix specflags (quotation here is buggy)

Revision 1.36  2004/05/03 21:11:39  gotar
- enabled ESMTP AUTH, maildir support, ident and mserver,
- use libcrypto library,
- debug ready,
- release 4.

Revision 1.35  2004/04/01 19:17:25  qboosh
- added resolv patch (fixes build on amd64)
- use always /usr/lib/sendmail, no macros
- release 3

Revision 1.34  2004/02/25 21:44:21  blues
- obsoletes nullmailer and ssmtp

Revision 1.33  2004/02/25 07:53:55  ankry
- removed self-obsoletes

Revision 1.32  2004/02/24 21:05:02  blues
- release 2 - obsoletes smtp daemons

Revision 1.31  2003/08/27 00:16:32  gotar
- fixed changelog trailer

Revision 1.30  2003/06/28 19:36:24  gotar
- -fomit-frame-pointer on ia32

Revision 1.29  2003/06/04 11:20:12  adamg
- updated to 0.2.20

Revision 1.28  2003/05/28 12:59:41  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 05:50:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/03 21:52:35  gotar
- upgraded to 0.2.19 (bugfix)

Revision 1.25  2003/01/26 11:53:33  gotar
- don't use %{name} where it shouldn't be,
- moved tpl files to their place since 0.2.17,
- release 2, STBR.

Revision 1.24  2002/12/31 11:16:43  gotar
- cut off Vendor

Revision 1.23  2002/12/11 15:20:12  kosmo
- updated to 0.2.18

Revision 1.22  2002/11/28 18:22:17  areq
- 0.2.17, STBR

Revision 1.21  2002/11/25 19:51:54  qboosh
- shortened symlink without %{_sbindir}

Revision 1.20  2002/11/25 12:15:50  qboosh
- SECURITY update to 0.2.16 (includes many more fixes)
- updated URLs

Revision 1.19  2002/11/13 13:08:30  kloczek
- release 2.

Revision 1.18  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/06/06 08:16:25  gotar
- new %doc

Revision 1.16  2002/05/24 11:04:31  gotar
- ac/am macros

Revision 1.15  2002/05/21 23:14:07  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:48  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/10/18 16:40:22  gotar
- cosmetics.

Revision 1.11  2001/10/06 21:10:43  kloczek
- added "rm -f missing" on top %build.

Revision 1.10  2001/10/06 21:06:41  gotar
- upgraded to 0.2.6.

Revision 1.9  2001/08/30 12:18:48  gotar
- awful %configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.8  2001/08/29 19:24:11  kloczek
- fixed Source url.

Revision 1.7  2001/08/28 19:13:47  gotar
- added %{_var}/spool/%{name}/lock dir to the package contents,
- release 2.

Revision 1.6  2001/08/26 10:31:47  gotar
- upgraded to 0.2.5.

Revision 1.5  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.4  2001/06/19 12:31:37  gotar
- spec cleanups.

Revision 1.3  2001/04/11 21:44:45  gotar
- Erghhh... T. K. - you've lost two example files!

Revision 1.2  2001/04/09 23:38:56  kloczek
- few cosmetics and make spec %{debug} ready.

Revision 1.1  2001/04/08 15:01:03  gotar
- spec rewrited from scratch (maybe except %description etc.),
- removed Debian, SuSE and Red Hat compatibilities (rcscripts and so) - DIY.
